Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.configuration
Class RemoteWCSDataSource

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
          org.deegree.ogcwebservices.wpvs.configuration.LocalWCSDataSource
              org.deegree.ogcwebservices.wpvs.configuration.RemoteWCSDataSource

    public class RemoteWCSDataSource

extends LocalWCSDataSource

This class represents a remote WCS dataSource object, but doesn't actually do anything .

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
`LOCAL_WCS, LOCAL_WFS, LOCAL_WMS, REMOTE_WCS, REMOTE_WFS, REMOTE_WMS, SERVICE_TYPE_TO_NAME`

Constructor Summary
`RemoteWCSDataSource(QualifiedName name, OWSCapabilities owsCapabilities, Surface validArea, double minScaleDenominator, double maxScaleDenominator, GetCoverage filterCondition, Color[] transparentColors)` Creates a new `RemoteWCSDataSource` object from the given parameters.

Method Summary

Methods inherited from class org.deegree.ogcwebservices.wpvs.configuration.LocalWCSDataSource
`getConfiguredMinimalDGMResolution, getCoverageFilterCondition, getDefaultFormat, getOGCWebService, getTransparentColors, setConfiguredMinimalDGMResolution, toString`

Methods inherited from class org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
`getFilterCondition, getMaxScaleDenominator, getMinScaleDenominator, getName, getOwsCapabilities, getServiceType, getValidArea, setServiceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteWCSDataSource

    public RemoteWCSDataSource(QualifiedName name,
                               OWSCapabilities owsCapabilities,
                               Surface validArea,
                               double minScaleDenominator,
                               double maxScaleDenominator,
                               GetCoverage filterCondition,
                               Color[] transparentColors)

  Creates a new `RemoteWCSDataSource` object from the given parameters.

  Parameters:
    `name` -
    `owsCapabilities` -
    `validArea` -
    `minScaleDenominator` -
    `maxScaleDenominator` -
    `filterCondition` - a base request //TODO give an example
    `transparentColors` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org